curl --request POST \
--url https://api.hubapi.com/crm/v4/associations/{fromObjectType}/{toObjectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"after": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"from": {
"id": "<string>"
},
"to": [
{
"associationTypes": [
{
"category": "HUBSPOT_DEFINED",
"typeId": 123,
"label": "<string>"
}
],
"toObjectId": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Lee por lotes las asociaciones de los objetos a un tipo de objeto específico. El campo “después” en un objeto de paginación devuelto se puede agregar junto con el “id” para recuperar la siguiente página de asociaciones de ese objectId. El campo “enlace” está obsoleto y se debe ignorar. Nota: El campo “paginación” solo estará presente si hay más páginas y, en caso contrario, estará ausente.
curl --request POST \
--url https://api.hubapi.com/crm/v4/associations/{fromObjectType}/{toObjectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>",
"after": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"from": {
"id": "<string>"
},
"to": [
{
"associationTypes": [
{
"category": "HUBSPOT_DEFINED",
"typeId": 123,
"label": "<string>"
}
],
"toObjectId": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Productos compatibles
Ámbitos Requeridos
The access token received from the authorization server in the OAuth 2.0 flow.
El tipo de objeto de origen
El tipo de objeto de destino
Mostrar atributos secundarios
successful operation
La marca de tiempo en que se completó el procesamiento por lotes, en formato ISO 8601.
Mostrar atributos secundarios
La marca de tiempo en que comenzó el procesamiento por lotes, en formato ISO 8601.
El estado de la solicitud de procesamiento por lotes: "PENDIENTE", "PROCESANDO", "CANCELADA" o "COMPLETADA".
CANCELED, COMPLETE, PENDING, PROCESSING Mostrar atributos secundarios
Un objeto que contiene los enlaces relevantes relacionados con la solicitud de procesamiento por lotes.
Mostrar atributos secundarios
El número de errores encontrados durante el procesamiento por lotes.
La marca de tiempo en la que se realizó inicialmente la solicitud del lote, en formato ISO 8601.